Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.util
Class ZipHandle

    java.lang.Object
      |
      +--org.openorb.util.ZipHandle

public class ZipHandle
extends java.lang.Object

A zip handle contains information to access a zip file ( for input and output ).

Version:
  $Revision: 1.4 $ $Date: 2002/06/28 08:59:06 $
Author:
  Jerome Daniel

Constructor Summary
`ZipHandle(java.util.zip.ZipFile in, java.util.zip.ZipOutputStream out)` Constructor.

Method Summary
`java.util.zip.ZipFile` | `getIn()` Return the input zip file.
`java.util.zip.ZipOutputStream` | `getOut()` Return the output zip file stream.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ZipHandle

    public ZipHandle(java.util.zip.ZipFile in,
                     java.util.zip.ZipOutputStream out)

  Constructor.
  Parameters:
    `in` - The input zip file.
    `out` - The output zip stream.

Method Detail

### getIn

    public java.util.zip.ZipFile getIn()

  Return the input zip file.
  Returns:
    The input zip file instance.

### getOut

    public java.util.zip.ZipOutputStream getOut()

  Return the output zip file stream.
  Returns:
    The output zip file stream instance.

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD